"""Module to handle Synapse QRcodes"""
try:
    from .synapselabels_version import __version__
    assert __version__
except ImportError:
    __version__ = "UNKNOWN"
try:
    from .synapselabels_version import __revision__
    assert __revision__
except ImportError:
    __revision__ = "UNKNOWN"

from .synapselabels import synapse_labels
from .pw_utils import PasswordGenerator
from .jscript_utils import shift
from .jscript_utils import shift_and_format_items
from .references import check_references
from .svgparse import svg_parse
from .svgparse import print_barcodes
from .labelconfig import LabelConfig
from .utils import svg_dir
from .imgconverter import export_svg_to_png
from .imgconverter import main_png_to_bmp


# list all the functions
__all__ = [
    __version__,
    __revision__,
    synapse_labels,
    PasswordGenerator,
    shift,
    shift_and_format_items,
    check_references,
    svg_parse,
    print_barcodes,
    LabelConfig,
    svg_dir,
    export_svg_to_png,
    main_png_to_bmp,
]
